
QGIS Application - Bug report #1271

r9246 fails to build

2008-09-02 10:02 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11331

Description

r9246 fails to build:

[ 47%] Building CXX object src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o

/home/shoofi/src/straight/qgis-trunk/src/app/composer/qgscomposer.cpp: In member function 'void

[[QgsComposer]]::on_mActionExportAsImage_activated()':

/home/shoofi/src/straight/qgis-trunk/src/app/composer/qgscomposer.cpp:916: error: 'class QMap<QString, QString>::iterator' has

no member named 'data'

maker2: *** [src/app/CMakeFiles/qgis.dir/composer/qgscomposer.o] Error 1

maker1: *** [src/app/CMakeFiles/qgis.dir/all] Error 2

make: *** [all] Error 2

shoofi@fooy:~$ cat src/straight/qgis-trunk/log.svn 

U    /home/software/gnu_linux/gis/qgis-trunk/src/app/composer/qgscomposer.cpp

History

#1 - 2008-09-02 10:15 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:6843eb82 (SVN r9248)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
